Bug 2158 - OOPS при перезагрузке
: OOPS при перезагрузке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-05 18:22 by
Modified: 2005-08-30 01:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-05 18:22:05
При перезагрузке(выключении) компутера ядро при выключении сервиса USB генерит
следующий OOPS:
---
kernel BUG at inode.c:1099!
invalid operand: 0000 2.4.20-alt0.8-up #1 Thu Dec 26 18:55:09 MSK 2002
CPU:    0
EIP:    0010:[iput+564/590]    Tainted: P 
EIP:    0010:[<c014ece8>]    Tainted: P 
EFLAGS: 00010246
eax: c2758794   ebx: c2758680   ecx: c2758794   edx: c2758680
esi: c2575000   edi: 00000000   ebp: c29a8b20   esp: c2d21f40
ds: 0018   es: 0018   ss: 0018
Process umount (pid: 22147, stackpage=c2d21000)
Stack: c2758680 c2758680 c014db89 c2575000 c25750f8 c29aee80 c29a8b71 c2758680 
       c2575000 c2575048 c013f9ea c2575000 00000000 c2d21f8c 08052558 bffffd28 
       c0150cb7 c2575000 00000000 c285e3c0 dffcb4a0 c1b1e540 c16f3520 c16f353c 
Call Trace:    [destroy_inode+79/82]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-643456/96]
[snd-via82xx:__insmod_snd-via
82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-668815/96] [kill_super+252/282]
[sys_umount+63/154]
Call Trace:    [<c014db89>] [<c29aee80>] [<c29a8b71>]
[<c013f9ea>] [<c0150cb7>]
  [sys_oldumount+23/28] [system_call+51/64]
  [<c0150d29>] [<c0108d23>]
Modules: [(usbcore:<c29a0060>:<c29af0b4>)]
Code: 0f 0b 4b 04 2b 75 21 c0 e9 ef fd ff ff c7 04 24 31 00 00 00 
Feb  3 17:50:04 localhost usb: Unmounting USB filesystem: failed
 <6>usb.c: USB disconnect on device 00:07.2-0 address 1
usb.c: USB disconnect on device 00:07.2-2 address 2
Unable to handle kernel NULL pointer dereference at virtual address 00000004
Feb  3 17:50:04 localhost usb: Unloading USB interface (usb-uhci): failed
 printing eip:
c29a7e61
*pde = 00000000
Oops: 0002 2.4.20-alt0.8-up #1 Thu Dec 26 18:55:09 MSK 2002
CPU:    0
EIP:   
0010:[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-672159/96]
   Tainted: P 
EIP:    0010:[<c29a7e61>]    Tainted: P 
EFLAGS: 00010206
eax: 00000000   ebx: 00000000   ecx: c275879c   edx: c2758680
esi: c288b000   edi: ffffffff   ebp: c229b420   esp: c2d21e70
ds: 0018   es: 0018   ss: 0018
Process modprobe (pid: 22157, stackpage=c2d21000)
Stack: c288b0f8 c29a9081 c2758680 c159df84 00000000 c01277ba c2d21e98 00000000 
       00000002 ffffffff c2d21eb8 c023afa0 c2d21eec dffa8da0 00000000 c02046df 
       dffb35ab 2004ca55 00000286 c288b000 00000286 dffce270 dffa8da0 dffb35ab 
Call Trace:   
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-667519/96]
[__call_usermodehelper+0/60] [vsprintf+39/44] [snd-
via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-700361/96]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/s
n+-648828/96]
Call Trace:    [<c29a9081>] [<c01277ba>] [<c02046df>]
[<c29a1037>] [<c29ad984>]
 
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-2095712/96]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-u
p/alsa/sn+-2095712/96]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-2095712/96]
[snd-via82xx:__insmod_snd-via82xx_O/lib/mo
dules/2.4.20-alt0.8-up/alsa/sn+-695892/96]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-644160/96]
[snd-via82xx:__insmod_s
nd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-695864/96]
  [<c284c5a0>] [<c284c5a0>] [<c284c5a0>] [<c29a21ac>]
[<c29aebc0>] [<c29a21c8>]
 
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-878272/96]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up
/alsa/sn+-884612/96] [qm_info+119/210] [pci_unregister_driver+87/90]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-883381/9
6]
[snd-via82xx:__insmod_snd-via82xx_O/lib/modules/2.4.20-alt0.8-up/alsa/sn+-878272/96]
  [<c2975940>] [<c297407c>] [<c011cb0f>] [<c019f139>]
[<c297454b>] [<c2975940>]
  [free_module+182/204] [sys_delete_module+192/486] [system_call+51/64]
  [<c011cf88>] [<c011c334>] [<c0108d23>]
Modules: [(hid:<c2848060>:<c284c824>)]
[(usb-uhci:<c2970060>:<c297596c>)]
         [(usbcore:<c29a0060>:<c29af0b4>)]
Code: 89 58 04 89 03 8b 82 14 01 00 00 c7 41 04 00 00 00 00 89 8a 
Feb  3 17:50:05 localhost kernel: Kernel logging (proc) stopped.
Feb  3 17:50:05 localhost kernel: Kernel log daemon terminating.
---

Воспроизводится стабильно, машина при этом нормально выключается.
---

---
------- Comment #1 From 2003-02-06 20:47:06 -------
Да, проблема известная и заключается она в примонтированном устройстве USB. 

Исправление - в TODO.
------- Comment #2 From 2003-02-06 20:47:06 -------
Да, проблема известная и заключается она в примонтированном устройстве USB. 

Исправление - в TODO.
------- Comment #3 From 2003-08-24 23:38:22 -------
Old bug, closed.